Subject: RESPONSE to an ACK

From: Blanchard Jacqueline <[email-masked]>
Date: Mon, 24 Jan 2000 15:00:50 +0100

What is the behavior of an UAS when receiving an ACK with an unknown Call-ID
?
(if I understood correctly the RCF, there is no RESPONSE sent to an ACK)
(for all other REQUEST messages (INVITE/BYE etc.) the UAS sends a 404
response)

J. Blanchard

---

From: Anders Kristensen <[email-masked]>
Date: Mon, 24 Jan 2000 14:16:05 +0000

Blanchard Jacqueline wrote:
> 
> What is the behavior of an UAS when receiving an ACK with an unknown
> Call-ID ?

Drop it. From RFC 2543, section 7.4.18:

7.4.18 481 Call Leg/Transaction Does Not Exist

This status is returned under two conditions: The server received a BYE
request that does not match any existing call leg or the server received
a CANCEL request that does not match any existing transaction. (A server
simply discards an ACK referring to an unknown transaction.)

> (if I understood correctly the RCF, there is no RESPONSE sent to an ACK)

Right.

> (for all other REQUEST messages (INVITE/BYE etc.) the UAS sends a 404

481.

Anders

-- 
Anders Kristensen <[email-masked]>,
http://www-uk.hpl.hp.com/people/ak/
Hewlett-Packard Labs, Bristol, UK

---

From: "Adam B. Roach" <[email-masked]>
Date: Mon, 24 Jan 2000 10:47:57 -0600 (CST)

>> What is the behavior of an UAS when receiving an ACK with an unknown
...
>> (if I understood correctly the RCF, there is no RESPONSE sent to an ACK)
...
>> (for all other REQUEST messages (INVITE/BYE etc.) the UAS sends a 404

Responding with a 481 to an INVITE just because it contains
an unrecognised Call-ID wouldn't prove very useful. Think 
about it.

The only reasonable circumstance under which one could
send a 481 in response to an INVITE is if a UAS receives
an INVITE for a call-leg it is not aware of, and there is
already a tag present in the To: field.

481 never makes sense for OPTIONS and REGISTER.

-- 
Adam Roach, Ericsson Inc. |  Ph: +1 972 583 7594 | 1010 E. Arapaho, MS L-04
[email-masked]   | Fax: +1 972 669 0154 | Richardson, TX 75081 USA